; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_CLEAR:
	STS(adr_TOUCH_BUFFER_ZEIGER_WRITE),NULL
	STS(adr_TOUCH_BUFFER_ZEIGER_READ) ,NULL
	STS(adr_TOUCH_ANZAHL),NULL
	sbi (LED_SBUF_PORT),(LED_SBUF_PIN_NR)		; SBUF off	
	sbi (LED_ROT_PORT),(LED_ROT_PIN_NR)			; ROT  aus	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_DATA_WRITE:
	cbi (LED_SBUF_PORT),(LED_SBUF_PIN_NR)		; SBUF an	
	; ANZAHL TOUCH						
	LDS temp,(adr_TOUCH_ANZAHL)
	; BERLAUF ?						
	cpi temp,64
	brlo BUFFER_DATA_WRITE_RUN
	ret
;-------------------------------------------------------------------------------
BUFFER_DATA_WRITE_RUN:
	inc temp
	STS(adr_TOUCH_ANZAHL),temp
	; Interrupts sperren				
	cli										; Global Interrupt Disable
	; Z-initialisieren					
	ldi ZL, LOW(adr_TOUCH_BUFFER_256)
	ldi ZH,HIGH(adr_TOUCH_BUFFER_256)
	LDS temp,(adr_TOUCH_BUFFER_ZEIGER_WRITE)
	add ZL,temp
	adc ZH,NULL
	; WRITE								
	LDS temp,(adr_TOUCH_KOORDINATE_X_L)
	ST Z+,temp
	LDS temp,(adr_TOUCH_KOORDINATE_X_H)
	ST Z+,temp
	LDS temp,(adr_TOUCH_KOORDINATE_Y_L)
	ST Z+,temp
	LDS temp,(adr_TOUCH_KOORDINATE_Y_H)
	ST Z+,temp
	; ZEIGER erhhen					
	LDS temp,(adr_TOUCH_BUFFER_ZEIGER_WRITE)
	subi temp,(-4)	; + 4
	STS(adr_TOUCH_BUFFER_ZEIGER_WRITE),temp
	; Interrupts wieder freigeben		
	sei
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_DATA_READ:
	; ZEIGER auf NULL	
	STS(adr_TWI_ZEIGER_TX),NULL
	; BYTE-0			
	ldi temp,'D'							; "D"			
	STS(adr_TWI_BUFFER_TX_256+0),temp
	; BYTE-1			
	LDS temp,(adr_TOUCH_ANZAHL)				; ANZAHL TOUCH	
	STS(adr_TWI_BUFFER_TX_256+1),temp
	; Touch im BUFFER ?	
	tst temp
	brne BUFFER_DATA_READ_RUN_w
	ret
BUFFER_DATA_READ_RUN_w:
	dec temp
	STS(adr_TOUCH_ANZAHL),temp
	tst temp
	brne BUFFER_DATA_READ_RUN_ww
	sbi (LED_SBUF_PORT),(LED_SBUF_PIN_NR)	; SBUF off	
BUFFER_DATA_READ_RUN_ww:
	; Z-initialisieren		
	ldi ZL,LOW (adr_TOUCH_BUFFER_256)
	ldi ZH,HIGH(adr_TOUCH_BUFFER_256)
	LDS temp,(adr_TOUCH_BUFFER_ZEIGER_READ)		; ZEIGER laden		
	add ZL,temp
	adc ZH,NULL
	subi temp,(-4)	; + 4
	STS(adr_TOUCH_BUFFER_ZEIGER_READ),temp		; ZEIGER speichern	

	LD temp,Z+
	STS(adr_TWI_BUFFER_TX_256+2),temp
	LD temp,Z+
	STS(adr_TWI_BUFFER_TX_256+3),temp
	LD temp,Z+
	STS(adr_TWI_BUFFER_TX_256+4),temp
	LD temp,Z+
	STS(adr_TWI_BUFFER_TX_256+5),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
