; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	; ZEILE3	
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall ANZEIGE_TEXT
	; ZEILE4	
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_KOORDINATEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'X'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT

	LDS temp1,(adr_ADC_0_L)
	LDS temp2,(adr_ADC_0_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_X_MIN_L)
	LDS temp2,(adr_ADC_X_MIN_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_X_MAX_L)
	LDS temp2,(adr_ADC_X_MAX_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp,'Y'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT

	LDS temp1,(adr_ADC_1_L)
	LDS temp2,(adr_ADC_1_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_Y_MIN_L)
	LDS temp2,(adr_ADC_Y_MIN_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_Y_MAX_L)
	LDS temp2,(adr_ADC_Y_MAX_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE3	
	rcall LCD_ZEILE3
	ldi temp,'X'
	rcall LCD_DATA
	ldi temp,'-'
	rcall LCD_DATA
	ldi temp,'P'
	rcall LCD_DATA
	ldi temp,'O'
	rcall LCD_DATA
	ldi temp,'S'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	LDS temp1,(adr_TOUCH_KOORDINATE_X_L)
	LDS temp2,(adr_TOUCH_KOORDINATE_X_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE4	
	rcall LCD_ZEILE4
	ldi temp,'Y'
	rcall LCD_DATA
	ldi temp,'-'
	rcall LCD_DATA
	ldi temp,'P'
	rcall LCD_DATA
	ldi temp,'O'
	rcall LCD_DATA
	ldi temp,'S'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	LDS temp1,(adr_TOUCH_KOORDINATE_Y_L)
	LDS temp2,(adr_TOUCH_KOORDINATE_Y_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ADC:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'0'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_0_L)
	LDS temp2,(adr_ADC_0_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp,'1'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_1_L)
	LDS temp2,(adr_ADC_1_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE3	
	rcall LCD_ZEILE3
	ldi temp,'2'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE	
	
	LDS temp1,(adr_ADC_2_L)
	LDS temp2,(adr_ADC_2_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
	; ZEILE4	
	rcall LCD_ZEILE4
	ldi temp,'3'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	LDS temp1,(adr_ADC_3_L)
	LDS temp2,(adr_ADC_3_H)
	rcall ANZEIGE_4_STELLEN_HEX_ASC_TEMP1_TEMP2	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR_CODE:						
	; ist ERROR CODE NULL ?
	LDS temp,(adr_ERROR_CODE)
	tst temp
	brne ANZEIGE_ERROR_CODE_RUN
	ret
ANZEIGE_ERROR_CODE_RUN:
	; ZEILE1		
	rcall LCD_CLEAR
	ldi temp,'E'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	ldi temp,'O'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
	rcall wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TAKT:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp1,BYTE1(TAKT)
	ldi temp2,BYTE2(TAKT)
	ldi temp3,BYTE3(TAKT)
	ldi temp4,BYTE4(TAKT)
	rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall LCD_AUSGABE_ZAHL_8_STELLEN_KURZ
	rcall LCD_SPACE
	ldi temp,'M'
	rcall LCD_DATA
	ldi temp,'H'
	rcall LCD_DATA
	ldi temp,'z'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WAIT:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'w'
	rcall LCD_DATA
	ldi temp,'a'
	rcall LCD_DATA
	ldi temp,'i'
	rcall LCD_DATA
	ldi temp,'t'
	rcall LCD_DATA
	rcall LCD_PUNKT
	rcall LCD_PUNKT
	rcall LCD_PUNKT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
